#!/usr/bin/env python3

from PyQt5 import QtGui, QtCore, QtWidgets
from PyQt5.QtSerialPort import QSerialPort, QSerialPortInfo

class QtSerialTest():
    
    def __init__(self):
        super(QtSerialTest, self).__init__()
        
        self.serinfo = QSerialPortInfo()
        p = self.serinfo.availablePorts()
        for pport in p:
            print(pport.portName())
        
        portname = p[0].portName()
        self.ser = QSerialPort(portname)
        self.ser.setBaudRate(9600)
        print(self.ser.isOpen())
        self.ser.setOpenMode(QSerialPort.ReadWrite)
        print(self.ser.isOpen()) 

        self.ser.writeData(b'Test')


if __name__=='__main__':
    ser = QtSerialTest()

